GigE Configurator

The Point Grey GigE Configurator is a tool included with the FlyCapture SDK that allows you to set the internet protocol (IP) configuration for any Point Grey GigE Vision cameras connected to your computer.

To open the GigE Configurator

From the Windows Start menu: Point Grey Research > FlyCapture2 > Utilities > GigE Configurator

Getting Started

The GigE Configurator displays information about the following:

  • Any Gigabit Ethernet network adapters installed on your computer
  • Any Point Grey Gigabit Ethernet devices connected to your computer

To configure the IP parameters of a network card or camera

On the left panel, click the device you want to configure. If you are configuring a network adapter, make sure it is the one to which your Point Grey camera is connected. Information about the device is displayed in the right panel. To continue, select one of the following topics:

  • Configuring the Network Adapter
  • Configuring a Camera


Configuring the Network Adapter

You can configure the following parameters of the GigE Network Interface connection:

  • Maximum Transmission Unit (MTU) of the device - For best performance, set this value to the maximum size specified by the manufacturer. Most recent GigE adapters allow the maximum jumbo frames size of 9000 bytes. The camera can operate at any packet size value equal to or lower than MTU. For information about setting camera packet size, see your camera's Technical Reference Manual.
  • IP Address and Subnet Mask of the device.

To configure the maximum transmission unit (MTU) of the network card

Click Open Network Connections. This opens the Properties window of the connection. Use this interface to configure MTU, depending on your operating system. For example, on Windows XP, click on the Advanced tab. Under Settings, select Jumbo Frames. Under Value, select 9014 Bytes. Click OK. For further assistance, consult the operating system documentation.

To see the new configuration in the GigE Congifurator, click Refresh under the File menu.

To assign a user-specified IP Address and Subnet Mask

Both the IP Address and Subnet Mask fields are writable. To save your changes, click Set IP Address/Subnet.

NOTE:

In order for the GigE network to function properly, the network card and camera must be on the same subnet.

See Also

  • GigE Configurator
  • Configuring the Camera


Configuring the Camera

Configuring a Camera

You can configure the following parameters of a camera on a Gigabit Ethernet network:

  • IP configuration for the current connection.
  • Default (persistent) IP configuration
  • IP Assignment default behavior when a camera is initially connected to the network or rebooted.

To set the IP configuration of the current connection

Under Current IP Configuration, the IP Address, Subnet Mask and Default Gateway fields are writable. To save your changes, click Set IP Address/Subnet.

To program a static IP Address, Subnet Mask and Default Gateway for the device

Under Persistent IP Configuration, the IP Address, Subnet Mask and Default Gateway fields are writable.

Alternatively, to copy the configuration of the current connection (above), click Copy from Current. To save your changes, click Set IP Address/Subnet.

NOTE:

In order for the GigE network to function properly, the network card and camera must be on the same subnet.

To automatically force the camera onto the same subnet as the network card

Click Automatically Force IP.

To configure the default behavior of IP address assignment when a camera is connected to the network or rebooted.

Under IP Address Assignment Configuration, the camera is assigned an IP address according to whichever box is checked first, in the following order:

  1. Persistent IP - The static IP address specified in the IP Address/Subnet Mask fields under Persistent IP Configuration.
  2. DHCP - A dynamic IP address according to the dynamic host configuration protocol (DHCP).
  3. LLA - A link-local address.

See Also

  • GigE Configurator
  • Configuring the Network Adapter